package com.hfkj.sysenum;

/**
 * 产品来源
 * @className: SecMenuTypeEnum
 * @author: HuRui
 * @date: 2024/4/10
 **/
public enum GoodsVpdSourceEnum {

    /**
     * 内部虚拟商品
     */
    type1(1, "内部虚拟商品"),
    /**
     * 娱尚虚拟商品
     */
    type2(2, "娱尚虚拟商品"),
    /**
     * 贵州中石化
     */
    type4(4, "贵州中石化"),
    /**
     * 重庆中石油
     */
    type5(5, "重庆中石油"),
    /**
     * 比邻星停车券
     */
    type6(6, "比邻星停车券"),
    /**
     * 四川中石油
     */
    type7(7, "四川中石油"),
    /**
     * 中油优途中石油
     */
    type10(10, "中油优途中石油"),
    ;

    private int code;

    private String name;


    GoodsVpdSourceEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
